Subject: Morel trackers in CA

From: [email-masked] (gerald hasbrouck)
Date: Fri, 24 Mar 1995 17:46:09 -0500

For those of you interested in the progression of the morel season, I just
found 30 (white or yellow) morels in a sandy landscaped area about 20
miles north of L.A. By the look of their shriveled tops, I'd say they
poked up about a week ago.